<h3>Create Employee </h3>
<div [hidden]="submitted" style="width: 400px;">
    <form (ngSubmit)="onSubmit()">
        <div class="form-group">
            <label for="name"> Full Name </label>
            <input type="text" class="form-control" id="name" required [(ngModel)]="employee.name" name="name">
        </div>

        <div class="form-group">
            <label for="name"> Position </label>
            <input type="text" class="form-control" id="position" required [(ngModel)]="employee.position" name="position">
        </div>

        <div class="form-group">
            <label for="name"> Salary </label>
            <input type="text" class="form-control" id="salary" required [(ngModel)]="employee.salary" name="salary">
        </div>

        <!-- <div class="form-group">
            <label for="name"> Department </label>
            <input type="text" class="form-control" id="department" required [(ngModel)]="employee.department" name="department">
        </div> -->

        <div class = "form-group">
            <label for="name"> Department </label>
            <select id="department" name = "department" [(ngModel)]="employee.department" class = "form-control">
                <option value = "Software Engineer"> Software Engineer </option>
                <option value = "QA"> QA </option>
                <option value = "HR Management"> HR Management </option>
                <option value = "Marketing Management"> Marketing Management </option>
            </select>
        </div>

        <!-- <div class="form-group">
            <label for="name">Department</label>
            <select class="form-control">
                <option disabled>Select Department</option>
                <option>Choose Department</option>
                <option *ngFor="let department of websiteList" [value] ="department">{{department}}</option>
            </select>
            <div *ngIf="f.name.touched && f.name.invalid" class="alert alert-danger">
                <div *ngIf="f.name.errors.required">Name is required.</div>
            </div>
        </div> -->

        <!-- <div class="form-group">
            <label for="name">Departments</label>
            <select formControlName="department" class="form-control">
                <option disabled>Select Department</option>
                <option>Choose Departments</option>
                <option *ngFor="let department of departmentList">{{department}}</option>
            </select>
        </div> -->

        <div class="form-group">
            <label for="name"> JoinDate </label>
            <input type="text" class="form-control" id="joinDate" required [(ngModel)]="employee.joinDate" name="joinDate">
        </div>

        <button type="submit" class="btn btn-success"> Submit </button>

    </form>
</div>

<div [hidden]="!submitted">
    <h4> You Submitted Succesfully </h4>

</div>